Exchange Support for Windows 2008 R2 SP1

UPDATE (2/11/2011): The Exchange Team has released a statement that Windows 2008 R2 SP1 will be supported with the following Exchange versions: Exchange 2007 SP3 Exchange 2010 RTM Exchange 2010 SP1   ______________________________________________ As of yesterday, Microsoft announced the release of SP1 for Windows 2008 R2 and Windows 7 (see here).  Currently the Exchange team…